package com.bytedance.android.live.gift;

import X.C36151c5;
import X.GQc;
import X.GRt;
import X.GWE;
import X.GpK;
import X.GvS;
import X.Gzp;
import X.HMB;
import X.HNK;
import X.HNT;
import X.HNb;
import X.HOC;
import X.HPY;
import X.HQc;
import X.HwQ;
import X.KMV;
import X.M12;
import X.PgU;
import X.TX2;
import android.content.Context;
import android.util.Pair;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.android.livesdk.gift.assets.AssetsModel;
import com.bytedance.android.livesdk.gift.model.GiftPage;
import com.bytedance.android.livesdk.gift.model.SendGiftResult;
import com.bytedance.android.livesdk.model.Gift;
import com.bytedance.android.livesdk.model.message.GiftMessage;
import com.bytedance.android.livesdkapi.depend.model.live.Room;
import com.bytedance.android.livesdkapi.session.EnterRoomConfig;
import com.bytedance.android.widget.Widget;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import com.bytedance.ies.sdk.widgets.LiveWidget;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class GiftServiceDummy implements IGiftService {
    static {
        Covode.recordClassIndex(6349);
    }

    public void clearAssets(String str) {
    }

    public void clearFastGift(long j) {
    }

    public void downloadAssets(long j, HwQ hwQ, int i) {
    }

    public boolean enableRedEnvelope() {
        return true;
    }

    public void exitRoom(Boolean bool) {
    }

    public Gift findGiftById(long j) {
        return null;
    }

    public AssetsModel getAssets(String str, long j) {
        return null;
    }

    public String getAssetsPath(String str, long j) {
        return "";
    }

    public GpK getBoostChartInfo() {
        return null;
    }

    public long getEffectIdWithGiftId(Gift gift, long j) {
        return 0;
    }

    public Class<? extends LiveRecyclableWidget> getExtendScreenGiftTrayWidget() {
        return null;
    }

    public GQc getFirstRechargeManager() {
        return null;
    }

    public TX2 getGiftInterceptor(long j, boolean z) {
        return null;
    }

    public GiftMessage getGiftMessage(long j, SendGiftResult sendGiftResult, User user) {
        return null;
    }

    public List<GiftPage> getGiftPages() {
        return null;
    }

    public LiveWidget getGiftWidget(EnterRoomConfig enterRoomConfig) {
        return null;
    }

    public String getLowAgeReportUrl() {
        return "";
    }

    public GWE getPollGifts() {
        return null;
    }

    public Widget getRedEnvelopeWidget() {
        return null;
    }

    public HOC getSendGiftResultLog(SendGiftResult sendGiftResult) {
        return null;
    }

    public LiveWidget getWishListWidget() {
        return null;
    }

    public Gzp giftPlayControllerManager() {
        return null;
    }

    public long giftVideoResourcesClear(boolean z) {
        return 0;
    }

    public void initGiftResource() {
    }

    public void initGiftResourceManager(Context context) {
    }

    public boolean isAssetsDownloaded(String str, long j) {
        return false;
    }

    public boolean isFirstRecharge() {
        return false;
    }

    public boolean isFirstRechargeGift(long j) {
        return false;
    }

    public boolean isGuestMatchAnchorGiftTrayEnable() {
        return false;
    }

    public boolean isSubscriptionGift(long j) {
        return false;
    }

    public void loadBehavior(Context context, DataChannel dataChannel, int i) {
    }

    public void logBoostCardLiveEndClick(int i) {
    }

    public void logBoostCardLiveEndShow() {
    }

    public void monitorBroadcastClicked(long j) {
    }

    public void monitorBroadcastMonitor(long j, boolean z) {
    }

    public void monitorGiftIconShow(boolean z, GRt gRt, String str, String str2) {
    }

    public void onInit() {
    }

    public void onLiveActivityDestroyed() {
    }

    public void onPlayFragmentCreate() {
    }

    public void openGiftDialog(String str) {
    }

    public void openGiftDialogFromJSB(GvS gvS) {
    }

    public void openRechargeFAQPage(Context context) {
        M12.LIZ(context);
    }

    public void playGiftVideo(long j, HNb hNb) {
    }

    public void preloadBroadcastApi() {
    }

    public void preloadLayout() {
    }

    public void registerDebugJsb(KMV kmv) {
        M12.LIZ(kmv);
    }

    public void removeAnimationEngine(HPY hpy) {
    }

    public void resetRoomStatus() {
    }

    public PgU<C36151c5<SendGiftResult>> sendGift(long j, long j2, long j3, int i, HashMap<String, String> hashMap) {
        return null;
    }

    public void sendGiftInternal(Context context, long j, int i, HashMap<String, String> hashMap, HNK hnk, int i2, String str, String str2) {
        M12.LIZ(str, str2);
    }

    public void sendGiftPoll(long j, long j2, Room room, DataChannel dataChannel, HNT hnt) {
    }

    public void setGiftAnimationEngine(HPY hpy, HMB hmb) {
    }

    public void showBroadCaseEndPage(boolean z) {
    }

    public void syncGiftList(int i) {
    }

    public void syncGiftList(HQc hQc, long j, int i, boolean z) {
    }

    public List<Gift> getStickerGifts() {
        return new ArrayList();
    }

    public Pair<Integer, Integer> getShowedAndUnShowedGuestGiftCount() {
        return new Pair<>(0, 0);
    }

    public String getAmountString(long j) {
        return String.valueOf(j);
    }
}
